跳至内容
ShopentlyLearn

更新 · 退款金额 — 退货、投诉与换货

修改“退货、投诉与换货”中的指定数据。必填字段和写入规则如下所述。

PATCH/api/v1/requests/{request_id}/refund-amount

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/requests/example/refund-amount \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-adjust_request_refund_amount_api_v1_requests__request_id__refund_amount_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"amount":"0.00","expected_version":1}'

响应

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

所需权限

身份验证
访问令牌
最低套餐
BASIC
密钥权限
更改申请退款金额payments.request_refund:adjust_amount